2026-02-05 22:09:47 UTC
299 MB
/usr/java/openjdk-27
JAVA_VERSION27-ea+7
LANGC.UTF-8
PATH/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:4f37333d1be658a226cdafd622c7bda0a95abbcb999c29a571136add51950044 - 15.07% (45.1 MB)
[#001] sha256:bde458ea0ff4b78b30f5d919c75eb9e773aceb8420df617f9565a55227465343 - 12.2% (36.5 MB)
[#002] sha256:a76e0a0abc2f5db2a0e4e5bc0b20479d8cd2423de1e93600bb300ad100d16be8 - 72.72% (218 MB)
ADD oraclelinux-9-slim-amd64-rootfs.tar.xz / # buildkit
2026-02-05 22:02:11 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2026-02-05 22:08:56 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit
2026-02-05 22:09:47 UTC (buildkit.dockerfile.v0)ENV JAVA_HOME=/usr/java/openjdk-27
2026-02-05 22:09:47 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-02-05 22:09:47 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2026-02-05 22:09:47 UTC (buildkit.dockerfile.v0)ENV JAVA_VERSION=27-ea+7
2026-02-05 22:09:47 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk27/7/GPL/openjdk-27-ea+7_linux-x64_bin.tar.gz'; downloadSha256='951349bfcc6bf08d72f89175460216f0560a6c238848d93c2e194313a78b130e'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk27/7/GPL/openjdk-27-ea+7_linux-aarch64_bin.tar.gz'; downloadSha256='3a3b7bac8a0432795430d519edf6eb790b6a3423b00516b74c85e1b7edb053a7'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit
2026-02-05 22:09:47 UTC (buildkit.dockerfile.v0)CMD ["jshell"]
2026-02-10 23:00:23 UTC
2.04 GB
C:\openjdk-27
JAVA_SHA2565940fbffa36c927e8b186d5bcdaa99e332aebc16b642bb272e05e5cce059d4a3
JAVA_URLhttps://download.java.net/java/early_access/jdk27/7/GPL/openjdk-27-ea+7_windows-x64_bin.zip
JAVA_VERSION27-ea+7
[#000] sha256:0938cf51b672b81c9804d1d5f0c57031c931f41b279270e84820c63642d6a3bd - 69.54% (1.42 GB)
[#001] sha256:456534216d0c12d9314cda831989d54bb3f542d7d43d9772ba40654db6dbd7bc - 20.17% (421 MB)
[#002] sha256:e3f3641b48551abf691e707ba76f8b07a225d509249237749ad0c13cbcab89a6 - 0.0% (1.3 KB)
[#003] sha256:80e4124b1cce80532ad36119cdffa374f16bf9b0f7dd7b9ee443ca982f1e1dd6 - 0.02% (346 KB)
[#004] sha256:58949618ad1e3582ebd429e2864730c3b8255c470e90dcd4b1c3fb44b24da932 - 0.0% (1.33 KB)
[#005] sha256:f4e36215dfca2b540a9963ae855a8763fd2d1b957d753ec37825daf537ffeb63 - 0.02% (333 KB)
[#006] sha256:8a7df20cb6cbf5751d47a9563d854bdff0b6b68f6e7ba5f3e10ead3226a33657 - 0.0% (1.32 KB)
[#007] sha256:cd596adbd67f16e30d0c5d1a7780ace8c63783316c6a0a123980769b060e09f2 - 0.0% (1.31 KB)
[#008] sha256:902bab5592ac59365b1010d31704d1ac559a20f66da62bfc64225c726958067f - 0.0% (1.3 KB)
[#009] sha256:ccb9cdaa65c7351505fc6629435fb20a48cd8f2d3cb88b48ff633ec692910d70 - 10.26% (214 MB)
[#010] sha256:819c331cff668e8a975c5fbcf20d7709b6b8f12c4514b23e6e8b1746bc55272e - 0.0% (1.29 KB)
Apply image 10.0.26100.32230
2026-02-06 22:21:49 UTCInstall update 10.0.26100.32370
2026-02-10 22:51:37 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2026-02-10 22:59:50 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2026-02-10 22:59:50 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-27
2026-02-10 22:59:56 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2026-02-10 22:59:57 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=27-ea+7
2026-02-10 22:59:57 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk27/7/GPL/openjdk-27-ea+7_windows-x64_bin.zip
2026-02-10 22:59:58 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=5940fbffa36c927e8b186d5bcdaa99e332aebc16b642bb272e05e5cce059d4a3
2026-02-10 23:00:22 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2026-02-10 23:00:23 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2026-02-10 23:09:33 UTC
1.94 GB
C:\openjdk-27
JAVA_SHA2565940fbffa36c927e8b186d5bcdaa99e332aebc16b642bb272e05e5cce059d4a3
JAVA_URLhttps://download.java.net/java/early_access/jdk27/7/GPL/openjdk-27-ea+7_windows-x64_bin.zip
JAVA_VERSION27-ea+7
[#000] sha256:3cc21a1b754848d23f00aa65cb94ec34c9a5dc6028b3aada42039c824738d02f - 71.31% (1.39 GB)
[#001] sha256:e3c87a3784ab1d08cbacea3288e90f8106f6e7a20b792ab27cdc739fc966a73e - 17.89% (356 MB)
[#002] sha256:cf582aa59c8f589f6cc77378809eabf79b679ef8c09e8e900a5ce77bf0b77e38 - 0.0% (1.3 KB)
[#003] sha256:7abd1a10df6261a0994c712859776394fdf7faddcaff2b3d8ed5d076bda14965 - 0.02% (477 KB)
[#004] sha256:f22d84211f269c4738e863dd786dd916289650e5bf47364a55ffbe4576e06666 - 0.0% (1.3 KB)
[#005] sha256:02e567bddc6d29ac21c2ab60e046d515f554ac8d7e686865a3dd8faaceb32e88 - 0.02% (328 KB)
[#006] sha256:4917a1b0fd2913962390a83382b8f8992da6894886283877a6a81cb0a918b4aa - 0.0% (1.32 KB)
[#007] sha256:25a6b54e79f03c6c3d0771366156e8c7c1a8356764e902c83a233e6d29b1ce22 - 0.0% (1.3 KB)
[#008] sha256:d0be0a55e525181759823febbc8ae473eb96e809921da9716ad01f36d5564102 - 0.0% (1.3 KB)
[#009] sha256:e5bed29368e11b736ad2a59ae52f6819aed9fffe0f52ed9541d391c9d049c6bb - 10.76% (214 MB)
[#010] sha256:47c2c8d7ff910e58560ed71bbcb3454448e6e40353a75d254796c6155a188490 - 0.0% (1.3 KB)
Apply image 10.0.20348.4294
2026-02-06 10:02:33 UTCInstall update 10.0.20348.4773
2026-02-10 22:51:57 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2026-02-10 23:08:50 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2026-02-10 23:08:51 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-27
2026-02-10 23:08:56 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2026-02-10 23:08:57 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=27-ea+7
2026-02-10 23:08:57 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk27/7/GPL/openjdk-27-ea+7_windows-x64_bin.zip
2026-02-10 23:08:58 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=5940fbffa36c927e8b186d5bcdaa99e332aebc16b642bb272e05e5cce059d4a3
2026-02-10 23:09:33 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2026-02-10 23:09:33 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2026-02-05 22:11:22 UTC
296 MB
/usr/java/openjdk-27
JAVA_VERSION27-ea+7
LANGC.UTF-8
PATH/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:bdaccdb6a2d14a7ee18a3d1ff57e3f6bd4e826bf7bda3d4995e73942beb6ca3a - 14.77% (43.8 MB)
[#001] sha256:b12d887e0953ccf6912de866e7547cbd62d244e4e1bbd6f225ba9fb8c0d1cbf6 - 12.45% (36.9 MB)
[#002] sha256:0b0be2a87387b4c3d5edc2cc8db838fc0e4bf4feb6e6061c9f1e6b6d49771761 - 72.78% (216 MB)
ADD oraclelinux-9-slim-arm64v8-rootfs.tar.xz / # buildkit
2026-02-05 22:01:48 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2026-02-05 22:11:13 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit
2026-02-05 22:11:22 UTC (buildkit.dockerfile.v0)ENV JAVA_HOME=/usr/java/openjdk-27
2026-02-05 22:11:22 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-02-05 22:11:22 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2026-02-05 22:11:22 UTC (buildkit.dockerfile.v0)ENV JAVA_VERSION=27-ea+7
2026-02-05 22:11:22 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk27/7/GPL/openjdk-27-ea+7_linux-x64_bin.tar.gz'; downloadSha256='951349bfcc6bf08d72f89175460216f0560a6c238848d93c2e194313a78b130e'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk27/7/GPL/openjdk-27-ea+7_linux-aarch64_bin.tar.gz'; downloadSha256='3a3b7bac8a0432795430d519edf6eb790b6a3423b00516b74c85e1b7edb053a7'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit
2026-02-05 22:11:22 UTC (buildkit.dockerfile.v0)CMD ["jshell"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.